## Visual Studio
.vs/
*.user
*.suo
*.userosscache
*.sln.docstates

## Build
bin/
obj/
[Bb]uild/
[Bb]uild[Ll]og.*

## NuGet
*.nupkg
*.snupkg
.nuget/
packages/
project.lock.json
project.fragment.lock.json

## Dotnet CLI
project.assets.json
*.runtimeconfig.dev.json

## Secrets
secrets.json
*.env
.env.*

## Docker
Dockerfile.*
docker-compose.*
docker-compose.override.*
.dockerignore

## Logs
*.log
logs/
log/
*.tlog

## Others
*.dbmdl
*.bak
*.mdf
*.ldf
*.sqlite
*.sqlite3
*.db
*.sql

## Rider
.idea/
*.sln.iml

## Mac/Linux/Windows
.DS_Store
Thumbs.db
ehthumbs.db
desktop.ini